osgUtil::IncrementalCompileOperation::CompileCompletedCallback Struct Referenceabstract

`#include <IncrementalCompileOperation>`

Inheritance diagram for osgUtil::IncrementalCompileOperation::CompileCompletedCallback:

## Public Member Functions

virtual bool | compileCompleted (CompileSet *compileSet)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## compileCompleted()

virtual bool osgUtil::IncrementalCompileOperation::CompileCompletedCallback::compileCompleted | ( | CompileSet * | compileSet | ) |

pure virtual

return true if the callback assumes responsibility for merging any associated subgraphs with the main scene graph return false if callback doesn't handle the merge, and instead requires the IncrementalCompileOperation to handle this for us

The documentation for this struct was generated from the following file:

- IncrementalCompileOperation